Package: metadat
Version: 1.4-0
Date: 2025-02-04
Title: Meta-Analysis Datasets
Authors@R: c(
  person(given = "Wolfgang", family = "Viechtbauer",
  role = c("aut","cre"), email = "wvb@metafor-project.org",
  comment = c(ORCID = "0000-0003-3463-4063")),
  person(given = "Thomas", family="White",
  role="aut", email = "thomas.white@sydney.edu.au",
  comment = c(ORCID = "0000-0002-3976-1734")),
  person(given = "Daniel", family="Noble",
  role="aut", email = "daniel.noble@anu.edu.au",
  comment = c(ORCID = "0000-0001-9460-8743")),
  person(given = "Alistair", family="Senior",
  role="aut", email = "alistair.senior@sydney.edu.au",
  comment = c(ORCID = "0000-0001-9805-7280")),
  person(given = "W. Kyle", family="Hamilton",
  role="aut", email = "whamilton@ucmerced.edu",
  comment = c(ORCID = "0000-0002-8642-7990")),
  person(given = "Guido", family = "Schwarzer",
  role = "dtc", email = "guido.schwarzer@uniklinik-freiburg.de",
  comment = c(ORCID = "0000-0001-6214-9087")))
Depends: R (>= 4.0.0)
Imports: utils, tools, mathjaxr
Suggests: metafor, numDeriv, BiasedUrn, dfoptim, igraph, ape, testthat,
        digest, lme4, clubSandwich, meta, netmeta, mvtnorm, gridExtra,
        rms, bayesmeta, ellipse
Description: A collection of meta-analysis datasets for teaching purposes, illustrating/testing meta-analytic methods, and validating published analyses.
License: GPL (>= 2)
ByteCompile: TRUE
LazyData: TRUE
Encoding: UTF-8
RdMacros: mathjaxr
BuildManual: TRUE
URL: https://github.com/wviechtb/metadat,
        https://wviechtb.github.io/metadat/
BugReports: https://github.com/wviechtb/metadat/issues
NeedsCompilation: no
Packaged: 2026-04-02 14:08:46 UTC; hornik
Author: Wolfgang Viechtbauer [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-3463-4063>),
  Thomas White [aut] (ORCID: <https://orcid.org/0000-0002-3976-1734>),
  Daniel Noble [aut] (ORCID: <https://orcid.org/0000-0001-9460-8743>),
  Alistair Senior [aut] (ORCID: <https://orcid.org/0000-0001-9805-7280>),
  W. Kyle Hamilton [aut] (ORCID: <https://orcid.org/0000-0002-8642-7990>),
  Guido Schwarzer [dtc] (ORCID: <https://orcid.org/0000-0001-6214-9087>)
Maintainer: Wolfgang Viechtbauer <wvb@metafor-project.org>
Repository: CRAN
Date/Publication: 2026-04-02 16:31:23
Built: R 4.5.3; ; 2026-04-03 03:36:53 UTC; unix

Package: metadat
Version: 1.2-0
Date: 2022-04-05
Title: Meta-Analysis Datasets
Authors@R: c(
  person(given = "Thomas", family="White",
  role="aut", email = "thomas.white@sydney.edu.au",
  comment = c(ORCID = "0000-0002-3976-1734")),
  person(given = "Daniel", family="Noble",
  role="aut", email = "daniel.noble@anu.edu.au",
  comment = c(ORCID = "0000-0001-9460-8743")),
  person(given = "Alistair", family="Senior",
  role="aut", email = "alistair.senior@sydney.edu.au",
  comment = c(ORCID = "0000-0001-9805-7280")),
  person(given = "W. Kyle", family="Hamilton",
  role="aut", email = "whamilton@ucmerced.edu",
  comment = c(ORCID = "0000-0002-8642-7990")),
  person(given = "Wolfgang", family = "Viechtbauer",
  role = c("aut","cre"), email = "wvb@metafor-project.org",
  comment = c(ORCID = "0000-0003-3463-4063")),
  person(given = "Guido", family = "Schwarzer",
  role = "dtc", email = "sc@imbi.uni-freiburg.de",
  comment = c(ORCID = "0000-0001-6214-9087")))
Depends: R (>= 4.0.0)
Imports: utils, tools, mathjaxr
Suggests: metafor, numDeriv, BiasedUrn, dfoptim, igraph, ape, testthat,
        digest, lme4, clubSandwich, meta, netmeta, mvtnorm, gridExtra,
        rms
Description: A collection of meta-analysis datasets for teaching purposes, illustrating/testing meta-analytic methods, and validating published analyses.
License: GPL (>=2)
ByteCompile: TRUE
LazyData: TRUE
Encoding: UTF-8
RdMacros: mathjaxr
URL: https://github.com/wviechtb/metadat
BugReports: https://github.com/wviechtb/metadat/issues
Author: Thomas White [aut] (<https://orcid.org/0000-0002-3976-1734>),
  Daniel Noble [aut] (<https://orcid.org/0000-0001-9460-8743>),
  Alistair Senior [aut] (<https://orcid.org/0000-0001-9805-7280>),
  W. Kyle Hamilton [aut] (<https://orcid.org/0000-0002-8642-7990>),
  Wolfgang Viechtbauer [aut, cre]
    (<https://orcid.org/0000-0003-3463-4063>),
  Guido Schwarzer [dtc] (<https://orcid.org/0000-0001-6214-9087>)
Maintainer: Wolfgang Viechtbauer <wvb@metafor-project.org>
Built: R 4.4.0; ; 2024-04-29 10:07:15 UTC; unix

context("Checking: dat.collins1985a")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.collins1985a, algo="md5"), "273f562fb6389816a296afd7fa89ab9c")
})

context("Checking: dat.raudenbush1985")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.raudenbush1985, algo="md5"), "61c451c67c7fc82375305c017c6f524a")
})

context("Checking: dat.hartmannboyce2018")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.hartmannboyce2018, algo="md5"), "5f8bbde96e75d8e8da450575a6b72f86")
})

context("Checking: dat.mcdaniel1994")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.mcdaniel1994, algo="md5"), "6d9c49bc2437cd8f5cc63c38d0bc917d")
})

context("Checking: dat.lim2014")

library(digest)

test_that("md5 hash matches for the data m_o_size", {
   expect_match(digest(metadat::dat.lim2014$m_o_size, algo="md5"), "47c9b90b4d399147238b3d001e8cc09b")
})

test_that("md5 hash matches for the data m_o_fecundity", {
   expect_match(digest(metadat::dat.lim2014$m_o_fecundity, algo="md5"), "5cd73c511ca7a5993d74ea3a0b01e7a4")
})

test_that("md5 hash matches for the data o_o_unadj", {
   expect_match(digest(metadat::dat.lim2014$o_o_unadj, algo="md5"), "281630552862a8351684c375ca2f237c")
})

test_that("md5 hash matches for the data o_o_adj", {
   expect_match(digest(metadat::dat.lim2014$o_o_adj, algo="md5"), "86870c289d85e1d914ae009bf9635529")
})

test_that("md5 hash matches for the tree m_o_size_tree", {
   expect_match(digest(metadat::dat.lim2014$m_o_size_tree, algo="md5"), "a0d9c3c1381669abb23710059752cd18")
})

test_that("md5 hash matches for the tree m_o_fecundity_tree", {
   expect_match(digest(metadat::dat.lim2014$m_o_fecundity_tree, algo="md5"), "553fb55660b195c5f319c147585e816e")
})

test_that("md5 hash matches for the tree o_o_unadj_tree", {
   expect_match(digest(metadat::dat.lim2014$o_o_unadj_tree, algo="md5"), "d4006f261ce75e7cb397b1fdefe7f7c6")
})

test_that("md5 hash matches for the tree o_o_adj_tree", {
   expect_match(digest(metadat::dat.lim2014$o_o_adj_tree, algo="md5"), "ea8b3394bef1ea32001e903b987ded89")
})

context("Checking: dat.colditz1994")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.colditz1994, algo="md5"), "a8df61024006ae1ce670b7ede5b29a9d")
})

context("Checking: dat.bakdash2021")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.bakdash2021, algo="md5"), "cb2b2109505430e49ded3586a3ba31a1")
})

context("Checking: dat.gurusamy2011")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.gurusamy2011, algo="md5"), "fafe3c72ffac20364548bca7a0cbe866")
})

context("Checking: dat.mccurdy2020")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.mccurdy2020, algo="md5"), "f3590f669053d881ac7b32fbc378229a")
})

context("Checking: dat.collins1985b")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.collins1985b, algo="md5"), "a1c5ab9525f7ad9354793073bb106164")
})

context("Checking: dat.nakagawa2007")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.nakagawa2007, algo="md5"), "aef00ca12dac2cd7c27d7a8f7692ba62")
})

context("Checking: dat.kalaian1996")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.kalaian1996, algo="md5"), "343b709bc03b99685b8a43c2d7824bc8")
})

context("Checking: dat.pagliaro1992")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.pagliaro1992, algo="md5"), "7560844add63d1c6c7b44847b05da7aa")
})

context("Checking: dat.lehmann2018")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.lehmann2018, algo="md5"), "bfa52ac1cf59ef847c6badf23394298f")
})

context("Checking: dat.vanhowe1999")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.vanhowe1999, algo="md5"), "3300d41b67fb79766dbb1e8fff7e50b0")
})

context("Checking: dat.hasselblad1998")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.hasselblad1998, algo="md5"), "40a55e4cef50d2bd0430de5163d19eb0")
})

context("Checking: dat.tannersmith2016")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.tannersmith2016, algo="md5"), "bda45667a6c6b6e7c24c5abfc91590de")
})

context("Checking: dat.laopaiboon2015")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.laopaiboon2015, algo="md5"), "1260edb7d5c69d8bc0b507f16eaacd0c")
})

context("Checking: dat.michael2013")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.michael2013, algo="md5"), "ff2a9079b413579d2246e0543c7f0541")
})

context("Checking: dat.normand1999")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.normand1999, algo="md5"), "35ddafb737cfa2d73816e9d4c5c8dd76")
})

context("Checking: dat.viechtbauer2021")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.viechtbauer2021, algo="md5"), "2dd6203150534b3bd62dba7a329ffdf4")
})

context("Checking: dat.debruin2009")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.debruin2009, algo="md5"), "d290a731fc4232fbf2bfd54fabcf8732")
})

context("Checking: dat.dogliotti2014")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.dogliotti2014, algo="md5"), "8dde5871843a3ed7c62c54ae84474234")
})

context("Checking: dat.maire2019")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.maire2019$dat, algo="md5"), "a1bea482e3f89fad844e08b7b3d3d987")
})

test_that("md5 hash matches for the distance matrix", {
   expect_match(digest(metadat::dat.maire2019$dmat, algo="md5"), "bc75d00397a71dc2c7a7e1c5f88f7e79")
})

context("Checking: dat.bangertdrowns2004")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.bangertdrowns2004, algo="md5"), "716b3c863ecc3fd61d6a9c076732f28c")
})

context("Checking: dat.nielweise2007")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.nielweise2007, algo="md5"), "05e2f281b42f16fb6be456f62b625f82")
})

context("Checking: dat.baskerville2012")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.baskerville2012, algo="md5"), "fe6765cbaa93d7096aced942cdb5b32e")
})

context("Checking: dat.nielweise2008")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.nielweise2008, algo="md5"), "f7e4d793597dadf2d314545af7555d73")
})

context("Checking: dat.hackshaw1998")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.hackshaw1998, algo="md5"), "40bf072f51b31ce8cfb0ca4272eddb84")
})

context("Checking: dat.franchini2012")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.franchini2012, algo="md5"), "032fe3c5d34b4479f354fffc0dafe72f")
})

context("Checking: dat.moura2021")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.moura2021$dat, algo="md5"), "313e588a5e1d08ee541260392beb9ae3")
})

test_that("md5 hash matches for the tree", {
   expect_match(digest(metadat::dat.moura2021$tree, algo="md5"), "78b3738727e054b2212cd16ebf1d5c6a")
})

context("Checking: dat.landenberger2005")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.landenberger2005, algo="md5"), "787f5762af4701c33cf1ca7548e54fea")
})

context("Checking: dat.konstantopoulos2011")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.konstantopoulos2011, algo="md5"), "ccc4a7cee29012013552e2dca1c634a4")
})

context("Checking: dat.bornmann2007")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.bornmann2007, algo="md5"), "cd3be7c49eed994719c0f4b224e48f24")
})

context("Checking: dat.bourassa1996")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.bourassa1996, algo="md5"), "ee1fd46dc621922f30596af07ab12e31")
})

context("Checking: dat.dagostino1998")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.dagostino1998, algo="md5"), "fa0804ed25a8d0d93f91d840a315162a")
})
